=== debian/changelog ===
level-zero (1.8.12-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jan 2023 16:24:53 +0200

level-zero (1.8.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1025760)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Dec 2022 19:50:39 +0200
