=== debian/changelog ===
level-zero (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 Jun 2023 16:03:51 +0300

level-zero (1.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Apr 2023 21:33:07 +0300
