=== source/layers/validation/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2020 Intel Corporation
+# Copyright (C) 2020-2023 Intel Corporation
 # SPDX-License-Identifier: MIT
 set(TARGET_NAME ze_validation_layer)
 
@@ -20,6 +20,9 @@
 target_include_directories(${TARGET_NAME}
     PUBLIC
         ${CMAKE_CURRENT_SOURCE_DIR}
+        ${CMAKE_CURRENT_SOURCE_DIR}/common
+        ${CMAKE_CURRENT_SOURCE_DIR}/handle_lifetime_tracking
+        ${CMAKE_CURRENT_SOURCE_DIR}/parameter_validation
 )
 
 if(UNIX)
@@ -48,3 +51,5 @@
         NAMELINK_ONLY
 )
 
+add_subdirectory(parameter_validation)
+add_subdirectory(handle_lifetime_tracking)
