=== test/CMakeLists.txt ===
# Copyright (C) 2024 Intel Corporation
# SPDX-License-Identifier: MIT
add_subdirectory(layers)
add_subdirectory(test_api)
