=== source/drivers/null/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,24 @@
         ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
+if(INSTALL_NULL_DRIVER)
+    install(TARGETS ze_null
+        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        LIBRARY
+            DESTINATION ${CMAKE_INSTALL_LIBDIR}
+            COMPONENT level-zero
+            NAMELINK_SKIP
+    )
+    install(TARGETS ze_null
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    LIBRARY
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}
+        COMPONENT level-zero-devel
+        NAMELINK_ONLY
+    )
+endif()
+
+
 if(UNIX)
     set(GCC_COVERAGE_COMPILE_FLAGS "-fvisibility=hidden -fvisibility-inlines-hidden -fno-strict-aliasing")
     set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${GCC_COVERAGE_COMPILE_FLAGS}")
