=== source/layers/tracing/CMakeLists.txt ===
--- 
+++ 
@@ -50,6 +50,7 @@
 
 install(TARGETS ze_tracing_layer
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
     LIBRARY
         DESTINATION ${CMAKE_INSTALL_LIBDIR}
         COMPONENT level-zero
@@ -58,6 +59,7 @@
 
 install(TARGETS ze_tracing_layer
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
     LIBRARY
         DESTINATION ${CMAKE_INSTALL_LIBDIR}
         COMPONENT level-zero-devel
