=== test/layers/validation/handle_lifetime_tracking/CMakeLists.txt ===
# Copyright (C) 2024 Intel Corporation
# SPDX-License-Identifier: MIT
