=== debian/changelog ===
level-zero (1.16.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:40:37 +0000

level-zero (1.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 26 Feb 2024 12:13:38 +0200
