=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: level-zero
 Section: libs
 Priority: optional
-Maintainer: Timo Aaltonen <tjaalton@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Aaltonen <tjaalton@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
