=== debian/changelog ===
level-zero (1.17.6-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libspdlog-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Jun 2024 12:25:10 +0300
