## level-zero 1.17.39

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,32 @@
 endif()
 add_definitions(-DLOADER_VERSION_SHA="${VERSION_SHA}")
 
-include_directories("${CMAKE_CURRENT_SOURCE_DIR}/third_party/spdlog_headers")
+if(SYSTEM_SPDLOG)
+	find_package(spdlog CONFIG)
+	if(spdlog_FOUND)
+		message(STATUS "System spdlog found.")
+	else()
+		message(FATAL_ERROR "SYSTEM_SPDLOG specified but spdlog wasn't found.")
+	endif()
+else()
+    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/third_party/spdlog_headers")
+endif()
+
+include(FetchContent)
+
+if(BUILD_L0_LOADER_TESTS)
+	FetchContent_Declare(
+		googletest
+		URL https://github.com/google/googletest/archive/refs/tags/v1.14.0.zip
+	)
+
+	# For Windows: Prevent overriding the parent project's compiler/linker settings
+	set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
+
+	FetchContent_MakeAvailable(googletest)
+
+	enable_testing()
+endif()
 
 # Update other relevant variables to include the patch
 set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
@@ -151,17 +176,17 @@
 
     # enable exceptions handling
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc")
-    
+
     # enable creation of PDB files for Release Builds
     set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Zi")
     set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /DEBUG /OPT:REF /OPT:ICF")
-		
+
     # enable CET shadow stack
     set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /CETCOMPAT")
 
     #Use of sccache with MSVC requires workaround of replacing /Zi with /Z7
     #https://github.com/mozilla/sccache
-    if(USE_Z7) #sccache 
+    if(USE_Z7) #sccache
       string(REPLACE "/Zi" "/Z7" CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
       string(REPLACE "/Zi" "/Z7" CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG}")
       string(REPLACE "/Zi" "/Z7" CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
@@ -197,7 +222,8 @@
 add_subdirectory(samples)
 
 if(BUILD_L0_LOADER_TESTS)
-	add_subdirectory(test)
+    include(CTest)
+    add_subdirectory(test)
 endif()
 
 include("os_release_info.cmake")
@@ -290,14 +316,3 @@
 	)
 endif()
 
-if(CPACK_GENERATOR MATCHES "DEB")
-	string(FIND "${CMAKE_CXX_COMPILER}" "aarch64" compiler_arch_check)
-	if((NOT ${compiler_arch_check} MATCHES "-1") OR (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "aarch64"))
-		SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE arm64)
-	elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
-		SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE amd64)
-	endif()
-	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/oneapi-src/level-zero")
-	set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
-	set(CPACK_DEBIAN_LEVEL-ZERO_PACKAGE_NAME "${PROJECT_NAME}")
-	set(CPACK_DEBIAN_LEVEL-ZERO-DEVEL_PACKAGE_NAME "${PROJECT_NAME}-devel")
