=== source/layers/validation/checkers/CMakeLists.txt ===
add_subdirectory(parameter_validation)
add_subdirectory(template)
