=== debian/changelog ===
level-zero (1.17.39-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Sep 2024 22:01:12 +0300
