=== debian/changelog ===
level-zero (1.17.42-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 07 Sep 2024 10:25:04 +0300
