## level-zero 1.19.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,62 +1,23 @@
 # Copyright (C) 2020-2024 Intel Corporation
 # SPDX-License-Identifier: MIT
 
-cmake_minimum_required(VERSION 3.2.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.12.0 FATAL_ERROR)
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
+set(THIRD_PARTY_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/third_party)
+
 if(MSVC AND (MSVC_VERSION LESS 1900))
 message(FATAL_ERROR "Visual Studio Compiler Version >= 1900 Required to build.")
 endif()
 
-# This project follows semantic versioning (https://semver.org/). Only set the
-# major and minor version here - patch version is determined dynamically.
-project(level-zero VERSION 1.17)
+# This project follows semantic versioning (https://semver.org/)
+project(level-zero VERSION 1.19.2)
 
 include(GNUInstallDirs)
 
-# Patch version corresponds to # of commits on master since last version
-# major/minor tag (e.g., v1.0). If not building in a git repository, then get
-# the patch version from a VERSION_PATCH file that would be shipped with a
-# source distribution. Otherwise, use 0.
-set(PROJECT_VERSION_PATCH 0)
 find_package(Git)
-if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION_PATCH")
-	file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION_PATCH" VERSION_PATCH)
-	string(STRIP "${VERSION_PATCH}" PROJECT_VERSION_PATCH)
-	message(STATUS "Using patch version from VERSION_PATCH file in source tree: ${PROJECT_VERSION_PATCH}")
-elseif(Git_FOUND)
-	if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
-		message(WARNING "Cannot determine patch version - VERSION_PATCH file is not in source tree and source tree does not appear to be a git repository. Using 0 as patch version.")
-		set(PROJECT_VERSION_PATCH 0)
-	else()
-		set(GIT_TAG "v${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
-		if(MSVC)
-			set(grep_string \\[CI\\] )
-			execute_process(
-				COMMAND CMD /c ${GIT_EXECUTABLE} rev-list ${GIT_TAG}..HEAD --grep=${grep_string} --invert-grep --count
-				OUTPUT_VARIABLE VERSION_PATCH
-				WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-			)
-		else()
-			set(grep_string "\\[CI\\] ")
-			execute_process(
-				COMMAND ${GIT_EXECUTABLE} rev-list ${GIT_TAG}..HEAD --grep=${grep_string} --invert-grep --count
-				OUTPUT_VARIABLE VERSION_PATCH
-				WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-			)
-		endif()
-		string(STRIP "${VERSION_PATCH}" PROJECT_VERSION_PATCH)
-		if(PROJECT_VERSION_PATCH STREQUAL "")
-			message(WARNING "Cannot determine patch version - couldn't find ${GIT_TAG} tag in repository. Using 0 as patch version.")
-			set(PROJECT_VERSION_PATCH 0)
-		else()
-			message(STATUS "Using patch version from commit count in git repository: ${PROJECT_VERSION_PATCH}")
-		endif()
-	endif()
-endif()
-
 if(Git_FOUND)
 	if(MSVC)
 		execute_process(
@@ -129,8 +90,8 @@
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /guard:cf")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /DYNAMICBASE")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /DYNAMICBASE")
-    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /DYNAMICBASE")
-    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /guard:cf")
+    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${CMAKE_CXX_LINKER_WRAPPER_FLAG}/DYNAMICBASE")
+    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${CMAKE_CXX_LINKER_WRAPPER_FLAG}/guard:cf")
     # enable Spectre Mitigation, not supported by clang-cl
     if((NOT CMAKE_CXX_COMPILER_ID STREQUAL Clang) AND (NOT CMAKE_CXX_COMPILER_ID STREQUAL IntelLLVM))
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Qspectre")
@@ -179,10 +140,10 @@
 
     # enable creation of PDB files for Release Builds
     set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Zi")
-    set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /DEBUG /OPT:REF /OPT:ICF")
+    set(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} ${CMAKE_CXX_LINKER_WRAPPER_FLAG}/DEBUG ${CMAKE_CXX_LINKER_WRAPPER_FLAG}/OPT:REF ${CMAKE_CXX_LINKER_WRAPPER_FLAG}/OPT:ICF")
 
     # enable CET shadow stack
-    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /CETCOMPAT")
+    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${CMAKE_CXX_LINKER_WRAPPER_FLAG}/CETCOMPAT")
 
     #Use of sccache with MSVC requires workaround of replacing /Zi with /Z7
     #https://github.com/mozilla/sccache
@@ -316,3 +277,22 @@
 	)
 endif()
 
+if(CPACK_GENERATOR MATCHES "DEB")
+	string(FIND "${CMAKE_CXX_COMPILER}" "aarch64" compiler_arch_check)
+	if((NOT ${compiler_arch_check} MATCHES "-1") OR (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "aarch64"))
+		SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE arm64)
+	elseif(${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
+		SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE amd64)
+	endif()
+	set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/oneapi-src/level-zero")
+	set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
+	set(CPACK_DEBIAN_LEVEL-ZERO_PACKAGE_NAME "${PROJECT_NAME}")
+	set(CPACK_DEBIAN_LEVEL-ZERO-DEVEL_PACKAGE_NAME "${PROJECT_NAME}-devel")
+    set(CPACK_DEBIAN_LEVEL-ZERO_FILE_NAME "${PROJECT_NAME}_${PROJECT_VERSION}+${os_name}${os_version}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}.deb")
+    set(CPACK_DEBIAN_LEVEL-ZERO-DEVEL_FILE_NAME "${PROJECT_NAME}-devel_${PROJECT_VERSION}+${os_name}${os_version}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}.deb")
+    set(CPACK_DEBIAN_LEVEL-ZERO-DEVEL_PACKAGE_DEPENDS "level-zero(=${PROJECT_VERSION})")
+    set(CPACK_DEB_COMPONENT_INSTALL ON)
+    set(CPACK_ARCHIVE_COMPONENT_INSTALL ON)
+endif()
+
+INCLUDE(CPack)
