=== source/utils/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,6 @@
 if(SYSTEM_SPDLOG)
        target_link_libraries(utils PUBLIC spdlog::spdlog)
 else()
-       target_include_directories(utils PUBLIC ${PROJECT_SOURCE_DIR}/third_party/spdlog_headers/)
+       target_include_directories(utils PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/third_party/spdlog_headers>)
 endif()
 set_property(TARGET utils PROPERTY POSITION_INDEPENDENT_CODE ON)
