=== debian/changelog ===
level-zero (1.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Dec 2024 10:01:16 +0200
